Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# Server_Info Class Reference

Information about IMR registered servers. More...

`#include <Repository.h>`

List of all members.

## Public Methods
| Server_Info (const ACE_TString POA_name, const ACE_TString logical_server_name, const ACE_TString startup_command, const ImplementationRepository::EnvironmentList environment_vars, const ACE_TString working_dir, const ImplementationRepository::ActivationMode activation)
| Initialize the command_line and working_dir.
| ~Server_Info ()
| The only destructor there is.
void | update_running_info (const ACE_TString location, const ACE_TString server_object_ior)
| Updates information that is relevant only when an instance of the server is running.
void | get_startup_info (ACE_TString &logical_server_name, ACE_TString &startup_command, ImplementationRepository::EnvironmentList &environment_vars, ACE_TString &working_dir, ImplementationRepository::ActivationMode &activation)
| Returns startup information.
void | get_running_info (ACE_TString &location, ACE_TString &server_object_ior)
| Returns information about a running instance.
## Public Attributes
int | starting_up_
| This is a flag to determine if the process has already been spawned and we are just waiting for it to start up.
## Private Methods
void | operator= (Server_Info &)
| Server_Info (Server_Info &)
## Private Attributes
ACE_TString | logical_server_name_
| Which server process this poa is grouped in.
ACE_TString | POA_name_
| The name of the POA.
ACE_TString | startup_command_
| The command line startup command (program and arguments).
ImplementationRepository::EnvironmentList | environment_vars_
| Environment Variables.
ACE_TString | working_dir_
| The working directory.
ACE_TString | location_
| Current endpoint used by the server.
ACE_TString | server_object_ior_
| IOR of the server object in the server.
ImplementationRepository::ActivationMode | activation_
| The type of activation this supports.

## Detailed Description

Information about IMR registered servers.

Contains all the necessary information about the server including Information on how to start it up and where it is running.

## Constructor & Destructor Documentation

Server_Info::Server_Info ( | const ACE_TString POA_name,
| const ACE_TString logical_server_name,
| const ACE_TString startup_command,
| const ImplementationRepository::EnvironmentList environment_vars,
| const ACE_TString working_dir,
| const ImplementationRepository::ActivationMode activation )

| Initialize the command_line and working_dir.

Server_Info::~Server_Info ( | )

| The only destructor there is.

Server_Info::Server_Info ( | Server_Info & )`[private]`

## Member Function Documentation

void Server_Info::get_running_info ( | ACE_TString & location,
| ACE_TString & server_object_ior )

| Returns information about a running instance.

void Server_Info::get_startup_info ( | ACE_TString & logical_server_name,
| ACE_TString & startup_command,
| ImplementationRepository::EnvironmentList & environment_vars,
| ACE_TString & working_dir,
| ImplementationRepository::ActivationMode & activation )

| Returns startup information.

void Server_Info::operator= ( | Server_Info & )`[private]`

void Server_Info::update_running_info ( | const ACE_TString location,
| const ACE_TString server_object_ior )

| Updates information that is relevant only when an instance of the server is running.

## Member Data Documentation

ACE_TString Server_Info::POA_name_`[private]`

| The name of the POA.

ImplementationRepository::ActivationMode Server_Info::activation_`[private]`

| The type of activation this supports.

ImplementationRepository::EnvironmentList Server_Info::environment_vars_`[private]`

| Environment Variables.

ACE_TString Server_Info::location_`[private]`

| Current endpoint used by the server.

ACE_TString Server_Info::logical_server_name_`[private]`

| Which server process this poa is grouped in.

ACE_TString Server_Info::server_object_ior_`[private]`

| IOR of the server object in the server.

int Server_Info::starting_up_

| This is a flag to determine if the process has already been spawned and we are just waiting for it to start up.

ACE_TString Server_Info::startup_command_`[private]`

| The command line startup command (program and arguments).

ACE_TString Server_Info::working_dir_`[private]`

| The working directory.

The documentation for this class was generated from the following files:

- Repository.h
- Repository.cpp